Agda-2.8.0: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Interaction.Highlighting.JSON

Contents

- Orphan instances

Description

Functions which give precise syntax highlighting info in JSON format.

Synopsis

- jsonifyHighlightingInfo :: HighlightingInfo -> RemoveTokenBasedHighlighting -> HighlightingMethod -> ModuleToSource -> IO Value

# Documentation

jsonifyHighlightingInfo Source #

Arguments

:: HighlightingInfo |
-> RemoveTokenBasedHighlighting |
-> HighlightingMethod |
-> ModuleToSource | Must contain a mapping for every definition site's module.
-> IO Value |

Turns syntax highlighting information into a JSON value

# Orphan instances

EncodeTCM TokenBased Source # |
Instance details Methods encodeTCM :: TokenBased -> TCM Value Source #
ToJSON TokenBased Source # |
Instance details Methods toJSON :: TokenBased -> Value Source # toEncoding :: TokenBased -> Encoding Source # toJSONList :: [TokenBased] -> Value Source # toEncodingList :: [TokenBased] -> Encoding Source # omitField :: TokenBased -> Bool Source #